
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android应用程序签名步骤及相关知识介绍_Android / iVAN</title>

    <meta name="description" content="Android应用程序签名步骤及相关知识介绍_Android 本文主要讲解Android应用程序签名相关的理论知识,包括:什么是签名.为什么要给应用程序签名.如何给应用程序签名等. 1.什么是签名?      如果这个问题不是放在Android开发中来问,如果是放在一个普通的版块,我想大家都知道签名的含义.可往往就是将一些生活中常用的术语放在计算机这种专业领域,大家就开始迷惑了.计算机所做的事情,或者说编程语言所做的事情,不正是在尽可能地模拟现实吗?所以,计算机中所说的签名和生活中所说的签名在本质上是一样的,它所起到的作用也是一致的!      让我们来看">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android应用程序签名步骤及相关知识介绍_Android</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文主要讲解Android应用程序签名相关的理论知识，包括：什么是签名、为什么要给应用程序签名、如何给应用程序签名等<strong>。</strong></p>
<p><strong>1、什么是签名？<br /></strong>      如果这个问题不是放在Android开发中来问，如果是放在一个普通的版块，我想大家都知道签名的含义。可往往就是将一些生活中常用的术语放在计算机这种专业领域，大家就开始迷惑了。计算机所做的事情，或者说编程语言所做的事情，不正是在尽可能地模拟现实吗？所以，计算机中所说的签名和生活中所说的签名在本质上是一样的，它所起到的作用也是一致的！<br />      让我们来看看，在现实生活中的签名。比如下面这张图片：<br />            <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDEzMDQwNzE2MjUxNzEyNy5naWY=.jpg"><br />这是女星孙俪的签名。签名就意味着在纸上或别处写下自己的名字，或者说在某处打上一个标记作为你自己的一种特有的标识，当别人看到这个签名的时候，他会知道这是和你有关的，而不是其它人。</p>
<p><strong>2、为什么要给Android应用程序签名？<br /></strong>      如果只能用一句简单的话语来回答这个问题的话，我会说：“这是Android系统所要求的”。<br />      Android系统要求每一个Android应用程序必须要经过数字签名才能够安装到系统中，也就是说如果一个Android应用程序没有经过数字签名，是没有办法安装到系统中的！Android通过数字签名来标识应用程序的作者和在应用程序之间建立信任关系，不是用来决定最终用户可以安装哪些应用程序。这个数字签名由应用程序的作者完成，并不需要权威的数字证书签名机构认证，它只是用来让应用程序包自我认证的。</p>
<p><strong>3、为什么我开发的Android应用程序没有做什么签名也能在模拟器和手机上运行？<br /></strong>      你没有给Android应用程序签名并不代表Android应用程序没有被签名。为了方便我们开发调试程序，ADT会自动的使用debug密钥为应用程序签名。debug密钥？它在哪？debug密钥是一个名为debug.keystore的文件，它的位置：<br />            系统盘符:/Documents and Settings/liufeng/.android/debug.keystore<br />“liufeng”对应于你自己的windows操作系统用户名，怎么样，是不是已经找到它了。这也就意味着，如果我们想拥有自己的签名，而不是让ADT帮我们签名的话，我们也要有一个属于自己的密钥文件（*.keystore）。</p>
<p><strong>4、Android应用程序签名步骤</strong><br /><strong>1）准备工作</strong><br />      apk的签名工作可以通过两种方式来完成：<br />            1）通过ADT提供的图形化界面完成apk签名；<br />            2）完全通过DOS命令来完成apk签名<br />我比较喜欢第2）种方式，所以下面将讲解如何通过命令的方式完成apk签名。<br />      给apk签名一共要用到3个工具，或者说3个命令，分别是：keytool、jarsigner和zipalign，下面是对这3个工具的简单介绍：<br />            1）keytool：生成数字证书，即密钥，也就是上面说到的扩展名为.keystore的那类文件；<br />            2）jarsigner：使用数字证书给apk文件签名；<br />            3）zipalign：对签名后的apk进行优化，提高与Android系统交互的效率(Android SDK1.6版本开始包含此工具)<br />      从这3个工具的作用也可以看出，这3个工具的使用顺序。通常我们自己所开发的所有应用程序，都是使用同样的签名，即使用同一个数字证书，这就意味着：如果你是第一次做Android应用程序签名，上面的3个工具都将用到；但如果你已经有数字证书了，以后再给其它apk签名时，只需要用到jarsigner和zipalign就可以完成。<br />      为了方便使用上面3个命令，首先需要将上面3个工具所在路径添加到环境变量path中（我说的是为了方便使用，没有说必须要这么做）。怎么配置环境变量就不在此讲解了，这里需要说一下这3个工具默认所在的路径：<br />            1）keytool：该工具位于jdk安装路径的bin目录下；<br />            2）jarsigner：该工具位于jdk安装路径的bin目录下；<br />            3）zipalign：该工具位于android-sdk-windows/tools/目录下<br />      不知道大家是否注意到keytool和jarsigner两个工具是jdk自带的，也就意味着生成数字证书和文件签名不是Android的专利；另外从字面上理解jarsigner也能猜得出该工具主要是用来给jar文件签名的。<br /><strong>2）生成未经签名的apk文件</strong><br />      既然我们要自己对apk进行签名，就不再需要ADT默认帮我们签名了。<strong>如何得到一个未经签名的apk文件呢？</strong>打开Eclipse，在Android工程名称上点击右键，依次选择“Android Tools” - “Export Unsigned Application Package ...”，然后选择一个存储位置保存即可。这样就得到了一个未经签名的apk文件。<br /><strong>3）使用keytool工具生成数字证书</strong><br />      keytool -genkey -v -keystore liufeng.keystore -alias liufeng.keystore -keyalg RSA -validity 20000<br />说明：<br />      1）keytool是工具名称，-genkey意味着执行的是生成数字证书操作，-v表示将生成证书的详细信息打印出来，显示在dos窗口中；<br />      2）-keystore liufeng.keystore 表示生成的数字证书的文件名为“liufeng.keystore”；<br />      3）-alias liufeng.keystore 表示证书的别名为“liufeng.keystore”，当然可以不和上面的文件名一样；<br />      4）-keyalg RSA 表示生成密钥文件所采用的算法为RSA；<br />      5）-validity 20000 表示该数字证书的有效期为20000天，意味着20000天之后该证书将失效<br />在执行上面的命令生成数字证书文件时，会提示你输入一些信息，包括证书的密码，示例如下：<br />      <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDEzMDQwNzE2MjUxNzEyOC5naWY=.jpg"><br /><strong>4）使用jarsigner工具为Android应用程序签名</strong><br />      jarsigner -verbose -keystore liufeng.keystore -signedjar notepad_signed.apk notepad.apk liufeng.keystore<br />说明：<br />      1）jarsigner是工具名称，-verbose表示将签名过程中的详细信息打印出来，显示在dos窗口中；<br />      2）-keystore liufeng.keystore 表示签名所使用的数字证书所在位置，这里没有写路径，表示在当前目录下；<br />      3）-signedjar notepad_signed.apk notepad.apk 表示给notepad.apk文件签名，签名后的文件名称为notepad_signed.apk；<br />      4）最后面的liufeng.keystore 表示证书的别名，对应于生成数字证书时-alias参数后面的名称<br /><strong>5）使用zipalign工具优化已签名的apk</strong>（非必须但建议这么做）<br />      zipalign -v 4 notepad_signed.apk notepad_signed_aligned.apk<br />说明：<br />      1）zipalign是工具名称，-v表示在DOS窗口打印出详细的优化信息；<br />      2）notepad_signed.apk notepad_signed_aligned.apk 表示对已签名文件notepad_signed.apk进行优化，优化后的文件名为notepad_signed_aligned.apk</p>
<p><strong>说明：</strong>如果你以前的程序是采用默认签名的方式（即debug签名），一旦换了新的签名应用将不能覆盖安装，必须将原先的程序卸载掉，才能安装上。因为程序覆盖安装主要检查两点：<br />      1）两个程序的入口Activity是否相同。两个程序如果包名不一样，即使其它所有代码完全一样，也不会被视为同一个程序的不同版本；<br />      2）两个程序所采用的签名是否相同。如果两个程序所采用的签名不同，即使包名相同，也不会被视为同一个程序的不同版本，不能覆盖安装。<br />      另外，可能有人可能会认为反正debug签名的应用程序也能安装使用，那也没有必要自己签名了嘛。千万不要这样想，debug签名的应用程序有这样两个限制，或者说风险：<br />      1）debug签名的应用程序不能在Android Market上架销售，它会强制你使用自己的签名；<br />      2）debug.keystore在不同的机器上所生成的可能都不一样，就意味着如果你换了机器进行apk版本升级，那么将会出现上面那种程序不能覆盖安装的问题。不要小视这个问题，如果你开发的程序只有你自己使用，当然无所谓，卸载再安装就可以了。但要是你的软件有很多使用客户，这就是大问题了，就相当于软件不具备升级功能！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 15:29:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/%e7%ad%be%e5%90%8d/" title="签名">签名</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android应用程序签名步骤及相关知识介绍_Android的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBPWgdp.html" rel="bookmark">Android应用程序签名步骤及相关知识介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文主要讲解Android应用程序签名相关的理论知识,包括:什么是签名.为什么要给应用程序签名.如何给应用程序签名等. 1.什么是签名?      如果这个问题不是放在Android开发中来问,如果是放在一个普通的版块,我想大家都知道签名的含义.可往往就是将一些生活中常用的术语放在计算机这种专业领域,大家就开始迷惑了.计算机所做的事情,或者说编程语言所做的事情,不正是在尽可能地模拟现实吗?所以,计算机中所说的签名和生活中所说的签名在本质上是一样的,它所起到的作用也是一致的!      让我们来看			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEd4mb.html" rel="bookmark">Android应用程序签名</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android应用程序签名相关的理论知识包括:什么是签名.为什么要给应用程序签名.如何给应用程序签名等. 1.什 么是签名? 如果这个问题不是放在Android开发中来问,如果是放在一个普通的版块,我想大家都知道签名的含义.可往往就 是将一些生活中常用的术语放在计算机这种专业领域,大家就开始迷惑了.计算机所做的事情,或者说编程语言所做的事情,不 正是在尽可能地模拟现实吗?所以,计算机中所说的签名和生活中所说的签名在本质上是一样的,它所起到的作用也是一致的! 2.为什么要给Android应用程序签			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrK1jmp.html" rel="bookmark">Android应用程序签名详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.什么是签名? 如果这个问题不是放在Android开发中来问,如果是放在一个普通的版块,我想大家都 知道签名的含义.可往往就是将一些生活中常用的术语放在计算机这种专业领域,大家就开始迷惑了.计算机 所做的事情,或者说编程语言所做的事情,不正是在尽可能地模拟现实吗?所以,计算机中所说的签名和生活 中所说的签名在本质上是一样的,它所起到的作用也是一致的! 让我们来看看,在现实生活中的签名.比 如下面这张图片: 这是女星孙俪的签名.签名就意味 着在纸上或别处写下自己的名字,或者说在某处打上一个标记作			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4ZGNp.html" rel="bookmark">Android应用程序签名概述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Android 系统中,所有安装到系统的应用程序都必有一个数字证书,此数字证书用于标识应用程序的作者和在应用程序之间建立信任关系. 1. 为什么要签名 如果只能用一句简单的话语来回答这个问题的话,我会说:&quot;这是Android系统所要求的&quot;. 应用程序签名是一个这样的过程,即使用私有密钥数字地签署一个给定的应用程序,以便达到如下3个目的: ◆识别代码的作者 ◆检测应用程序是否发生了改变 ◆在应用程序之间建立信任 基于这一信任关系,应用程序可以安全地共享代码和数据.如果一个 permis			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWJ02z.html" rel="bookmark">Android 常见的图片加载框架详细介绍&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android 常见的图片加载框架 图片加载涉及到图片的缓存.图片的处理.图片的显示等.而随着市面上手机设备的硬件水平飞速发展,对图片的显示要求越来越高,稍微处理不好就会造成内存溢出等问题.很多软件厂家的通用做法就是借用第三方的框架进行图片加载. 开源框架的源码还是挺复杂的,但使用较为简单.大部分框架其实都差不多,配置稍微麻烦点,但是使用时一般只需要一行,显示方法一般会提供多个重载方法,支持不同需要.这样会减少很不必要的麻烦.同时,第三方框架的使用较为方便,这大大的减少了工作量.提高了开发效率.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlmPvp.html" rel="bookmark">Android 微信摇一摇功能实现详细介绍&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android 微信摇一摇功能实现,最近学习传感器,就想实现摇一摇的功能,上网查了些资料,就整理下.如有错误,还请指正. 开发环境 Android Studio 2.2.1 JDK1.7 API 24 Gradle 2.2.1 相关知识点 加速度传感器 补间动画 手机震动 (Vibrator) 较短 声音/音效 的播放 (SoundPool) 案例: 我们接下来分析一下这个案例, 当用户晃动手机时, 会触发加速传感器, 此时加速传感器会调用相应接口供我们使用, 此时我们可以做一些相应的动画效果,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN0rV4z.html" rel="bookmark">Android 访问文件权限的四种模式介绍&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux文件的访问权限 * 在Android中,每一个应用是一个独立的用户 * drwxrwxrwx * 第1位:d表示文件夹,-表示文件 * 第2-4位:rwx,表示这个文件的拥有者(创建这个文件的应用)用户对该文件的权限 * r:读 * w:写 * x:执行 * 第5-7位:rwx,表示跟文件拥有者用户同组的用户对该文件的权限 * 第8-10位:rwx,表示其他用户组的用户对该文件的权限 openFileOutput的四种模式 * MODE_PRIVATE:-rw-rw---- * MOD			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bagXBJp.html" rel="bookmark">Android中库项目的使用方法图文介绍&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在软件开发过程中,程序代码的复用,是非常重要的概念.我们总是需要使用一些现有的模块.包.框架,或开发自己的模块.包.框架,来实现对程序代码的复用.比如在JavaWeb编程过程中,经常使用的Struts和Spring等框架,就可以大大简化我们的开发过程,提高开发效率. 在开发Android应用程序的过程中,同样有这方面的需求.Android系统包含的Android应用程序开发框架,已经是一个可以很好的提高开发效率的框架,但它并不能满足我们的所有需要.比如我们再开发某一类应用程序时,会发现这一类应用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvJWJ6M.html" rel="bookmark">android apk 程序签名</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java开发环境中的Keytool 和 Jarsigner,注意配置好环境路径,输入命令后有如下提示信息: C:Documents and SettingsF1034740桌面博客文章&gt;Keytool keytool 用法: -certreq     [-v] [-protected]              [-alias &lt;?e名&gt;] [-sigalg &lt;?章演算法&gt;]              [-file &lt;?{??章要求?n案&gt;] [-keypass			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvG6p0.html" rel="bookmark" class="title">电力猫是什么</a>
					<div>
						图为TP-Link电力猫外观 电力猫是什么? 电力猫,又名电力网络桥接器,是一种把网络信号调制到电线上,利用现有电线来解决网络布线问题的设备.电力猫在使用上与路由器类似,并且目前主流电力猫均支持Wif ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bB2mob.html" rel="bookmark" class="title">标签之美三&mdash;&mdash;超链接的嵌入</a>
					<div>
						标签之美--超链接标签 一.创建超链接 通常的超链接有两种方式,一种是链接到另一个文件,另一种是链接到当前文件的某个位置.这两种方式都是通过&lt;a&gt;&lt;/a&gt;标签来创建,其中hre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxNQyz.html" rel="bookmark" class="title">网络观察：个人网站的加速整合</a>
					<div>
						个人网站|网络 本渡虎谷(暂时用这个名子吧,以后如果要改,可就费劲了)的博客,就是一个想到什么就说些什么的地方,所以没有提纲,没有计划,看起来费劲的朋友,转身走人即可,需要抄走的朋友,最好给个出处.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZQrkp.html" rel="bookmark" class="title">也谈新郎、sohu新闻系统的技术，当然是怎么用jsp实现的&excl;&excl;&excl;&excl;&excl;</a>
					<div>
						js|sohu|新闻系统    我这两天刚好完成了这样一个类似的系统,希望和大家探讨探讨jsp实现的技术.   新浪 sohu这样的系统应该是类似的,就是后台动态生成前台的html页面,不管后台用什么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9Bjgp.html" rel="bookmark" class="title">用C&num;实现智能设备上的NotifyIcon类</a>
					<div>
						    前几天有网友问.NET CF中怎么实现NotifyIcon,我这才知道原来.NET CF并没有提供NotifyIcon控件.    于是偶想PC上可以用Shell_NotifyIcon和Mes ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmwXqb.html" rel="bookmark" class="title">PHP实例：实现文件上传的程序源码</a>
					<div>
						如何实现文件上传? 以下为引用的内容: &lt;HTML&gt; &lt;HEAD&gt; &lt;TITLE&gt;文件上传界面&lt;/TITLE&gt; &lt;/HEAD&gt; &lt;BO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAKOJz.html" rel="bookmark" class="title">百度快照异常的五个关键原因及解决方法</a>
					<div>
						最近看到论坛上老是有朋友抱怨自己的网站天天更新内容和坚持做外链,但是网站的百度快照日期还是经常出现问题,甚至长期倒退固定在某一天不变化,最终导致网站关键词排名下降,交换友情链接困难等问题.那么到底是什 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0box4EM.html" rel="bookmark" class="title">细数业内数一数二的友情链接平台大全</a>
					<div>
						友情链接平台从最早的自助链到牟长青创办GO9GO链接平台,而后站长界又雨后春笋般的出现和许许多多的友情链接平台.有话说一支独放不是春,百花齐放春满园.友情链接平台存在并且繁荣肯定有他的价值,中国互联网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWEmnz.html" rel="bookmark" class="title">C&num;中虛函數，抽象，接口的簡單説明</a>
					<div>
						虛函數:由virtual聲明,它允許在派生類中被重寫,要重寫方法,必須先聲名為virtualpublic class myclass{ public virtual int myint() { 函數体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPBdZz.html" rel="bookmark" class="title">深度解析！解密Vista SP1更新细节</a>
					<div>
						微软Vista SP1已经泄露了出来,揭开了神秘的面纱.本文将对Vista SP1中注册表和文件发生的具体变化,来分析SP1究竟如何. 一.Vista SP1 性能有很大提高 这是自Vista正式发布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBOOQb.html" rel="bookmark" class="title">电脑打开程序出错显示0x57a03521内存错误该怎么办&quest;</a>
					<div>
						  1.我们在系统开启时候,桌面就会弹出一个0x57a03521内存错误提示框出来,如果没有很大程度上影响我们的操作.我们一般只需要选择取消按钮就可以了. 2.像小编的这台电脑,发现的原因竟然是WPS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mywy3dz.html" rel="bookmark" class="title">安装Windows 8&period;1过程中出现的各种问题怎么解决？</a>
					<div>
						  我的机子是6G内存.500G硬盘,原装系统是Windows 7,现在想换成Windows 8.1,于是下载了64位的Windows 8.1 ISO镜像文件,用DaemonTools打开,打开后如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EmwjM.html" rel="bookmark" class="title">教您快速解决MindManager因缺少mfc100u&period;dll无法启动的难题</a>
					<div>
						  很多应用软件的运行环境离不开组件,MindManager也不例外.很多用户在成功安装MindManager之后,却显示无法找到组件mfc100u.dll,mfc100u.dll是MindManag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQdJDp.html" rel="bookmark" class="title">通过MAVEN快速搭建一个项目（一）</a>
					<div>
						                            通过MAVEN快速搭建一个项目 什么是MAVEN? MAVEN是一个软件管理工具.Maven项目中所有配置信息都被定义在一个叫做POM.xml的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6NxAb.html" rel="bookmark" class="title">projecteuler&lowbar;problem8</a>
					<div>
						problem8 地址:https://projecteuler.net/problem=8.源码:git@code.aliyun.com:qianlizhixing12/ProjectEuler.g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWPkWp.html" rel="bookmark" class="title">arraylist-怎么样能将两个数组和在一起？</a>
					<div>
						问题描述 怎么样能将两个数组和在一起? 我有两个大小相等的数组.数组1包含10个名字,数组2包含他们的电话号码.我想要将名字和电话号码和到一个数组中,应该怎么做? 解决方案 你可以用.addAll() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lxLab.html" rel="bookmark" class="title">C&num;使用RSA证书文件加密和解密示例</a>
					<div>
						原文:C#使用RSA证书文件加密和解密示例 修改MSDN上的示例,使之可以通过RSA证书文件加密和解密,中间遇到一个小问题. Q:执行ExportParameters()方法时,回报Cryptogra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4n5Pz.html" rel="bookmark" class="title">慧点科技CEO吕翊：我们做SmartGo移动平台的两个理由</a>
					<div>
						在互联网时代,创新更多意味着颠覆与变革,传统企业期待借助IT手段为自身带来新一轮增长点.中国移动互联网市场凭借庞大的用户基础,与西方发达国家市场规模相比不相上下.所以移动化作为传统企业转型标配战略之一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE49qAz.html" rel="bookmark" class="title">c&num;窗体-C&num;如何判断手机是否已经连接上电脑，如何获取手机的数据。</a>
					<div>
						问题描述 C#如何判断手机是否已经连接上电脑,如何获取手机的数据. C#如何判断手机是否已经连接上电脑,如何获取手机的数据.我查了资料,用了安卓SDK中的adb.exe 通过命令获取手机信息,但是我不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwW0KEz.html" rel="bookmark" class="title">Windows 10 Creators Update即将上线 Cortana又新增了哪些新功能&quest;</a>
					<div>
						即将上线的Windows 10 Creators Update将会带来诸多用户界面调整和功能改善,Cortana作为微软大力推动的语音助手,也会在本次更新中获得巨大改进.在接下来的文章中,就详细的讲讲 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RYQWz.html" rel="bookmark" class="title">Python快速学习06：词典</a>
					<div>
						基本概念 字典是Python 中的映射数据类型,工作原理类似关联数组或者哈希表,由键-值(key-value)对构成.几乎所有类型的Python 对象都可以用作键不过一般还是以数字或者字符串最为常用. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKgEnp.html" rel="bookmark" class="title">j2ee-IDEA JUNIT 经常提示 找不到 properties文件里面的配置</a>
					<div>
						问题描述 IDEA JUNIT 经常提示 找不到 properties文件里面的配置 我在IDEA 里面的JUNIT测试,经常提示找不到properties里面的属性.红字部分是写在propertie ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNRmQp.html" rel="bookmark" class="title">MeritTalk：美国仅2&percnt;的政府机构出台了完整的大数据战略</a>
					<div>
						MeritTalk的一份调查报告显示,尽管97%的美国州政府和http://www.aliyun.com/zixun/aggregation/30427.html&quot;&gt;地方政府IT专家表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8gkZp.html" rel="bookmark" class="title">Android手机闹钟用法实例&lowbar;Android</a>
					<div>
						本文实例讲述了Android手机闹钟用法.分享给大家供大家参考.具体如下: 一.开发手机闹钟主要用到了AlarmManager类,AlarmManager类提供了访问系统定时服务的途径,开发人员可以在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxExnQp.html" rel="bookmark" class="title">求助推箱子游戏用到的图片资源</a>
					<div>
						问题描述 我想用java写一个推箱子游戏,但找不到需要用的图片资源,望各位大大求助 解决方案 解决方案二:去截图...然后使用...满足你的需求么........解决方案三:可以找网页版的推箱子,截图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKZX4z.html" rel="bookmark" class="title">四川总工会听取职工心声 冀用网络加大维权宣传</a>
					<div>
						中新网成都1月9日电(殷樱)9日,2013年四川省职工迎春座谈会上在成都召开.会上,四川总工会与劳动模范.职工代表畅谈心声,并鼓励利用网络平台加大工会维权宣传. &quot;我不再觉得自己只是一个&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWx76p.html" rel="bookmark" class="title">想问下开放平台问题</a>
					<div>
						问题描述 如何做开放平台?可以对外给不同语言调用.手机调用....另外像人人网新浪微博这种登录,他们的这个开放平台是如何做的? 解决方案 解决方案二:这个不太清楚解决方案三:http://zh.wik ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenWy9b.html" rel="bookmark" class="title">朱之鑫：加强对重要农产品价格调控监管</a>
					<div>
						□本报记者 王超 国家发展与改革委员会副主任朱之鑫9月10日表示,要加强对重要农产品价格的调控和市场监管,保持价格总水平的基本稳定. 同日,中国证监会纪委书记李小雪表示,要借鉴股指期货投资者适当制度, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKD0Zz.html" rel="bookmark" class="title">数据驱动企业的架构思路探讨</a>
					<div>
						曾永宏:各位女士.新老朋友,很多CIO,非常高兴有这样的机会和大家一起来探讨数据的企业架构. 数据驱动的企业架构的主题讨论,之前我想先做一下自我介绍. 我在广州读的书,在北大进修,之后在地产圈混,后面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myvr1lp.html" rel="bookmark" class="title">OPENFILER记下，有空再玩之，ISCSI，以后网络起来了，速度还是应该可以的</a>
					<div>
											</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
